Summary:        Extension of the Java Collections Framework
Name:           apache-commons-collections4
Version:        4.4
Release:        %mkrel 5
Group:          Development/Java
License:        ASL 2.0

URL:            https://commons.apache.org/proper/commons-collections/
Source0:        https://archive.apache.org/dist/commons/collections/source/commons-collections4-%{version}-src.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.easymock:easymock)

%description
Commons-Collections seek to build upon the JDK classes by providing
new interfaces, implementations and utilities.


%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.


%prep
%setup -q -n commons-collections4-%{version}-src
%mvn_file : commons-collections4 %{name}


%build
%mvn_build -- -Dcommons.osgi.symbolicName=org.apache.commons.collections4


%install
%mvn_install


%files -f .mfiles
%doc RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Tue May 21 2024 ns80 <ns80> 4.4-5.mga10
+ Revision: 2065546
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 4.4-4.mga9
+ Revision: 1827511
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 neoclust <neoclust> 4.4-3.mga8
+ Revision: 1618236
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 4.4-2.mga8
+ Revision: 1527932
- Mageia 8 Mass Rebuild

* Sun Jul 28 2019 daviddavid <daviddavid> 4.4-1.mga8
+ Revision: 1424729
- Update to version 4.4

* Thu Jul 18 2019 daviddavid <daviddavid> 4.1-2.mga8
+ Revision: 1422327
- Rebuild to regenerate OSGi metadata

* Tue Sep 18 2018 daviddavid <daviddavid> 4.1-1.mga7
+ Revision: 1260218
- new version: 4.1 (sync with fc29)
- add missing BR on mvn(org.jacoco:jacoco-maven-plugin)

* Tue Sep 18 2018 umeabot <umeabot> 4.0-3.mga7
+ Revision: 1259652
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 4.0-2.mga6
+ Revision: 1102922
- Rebuild against new apache-parent

* Wed Mar 02 2016 daviddavid <daviddavid> 4.0-1.mga6
+ Revision: 982868
- imported package apache-commons-collections4


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Michael Simacek <msimacek@redhat.com> - 4.0-4
- Fix parent POM BR

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.0-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 27 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0-1
- Initial packaging
